#ifndef _Synkka_HPP_
#define _Synkka_HPP_

#include <stdio.h>
#include "../externs.hpp"
#include "../bpm.hpp"

class Synkka : public Base
{
	public:

		Synkka();
		~Synkka();

		bool init(unsigned long s, unsigned long e);
		void draw();

	private:
		void renderScene(float pos, float alpha);
        TriggerSystem *triggers;
};

#endif
